moDrawWarnings = {};

function setAllWarnings(self, slot, warning)	
	if tonumber(warning) == 0 and moGuiMiniPdaSlots.warningFirst then
		moSetGetGui["warning0"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
		moSetGetGui["warning0"]:render();
		return;
	elseif tonumber(warning) == 1 then
		moSetGetGui["warning1"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
		moSetGetGui["warning1"]:render();		
		return;
	elseif tonumber(warning) == 2 then
		moSetGetGui["warning2"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
		moSetGetGui["warning2"]:render();		
		return;
	elseif tonumber(warning) == 3 then
		moSetGetGui["warning3"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
		moSetGetGui["warning3"]:render();		
		return;
	elseif tonumber(warning) == 4 then
		if not moGuiMiniPdaSlots.warningBlink then
			moSetGetGui["warning4"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
			moSetGetGui["warning4"]:render();
			return;
		end;
		if moGuiMiniPdaSlots.warningBlinkTemp < moGuiMiniPdaSlots.warningBlinkTime then
			moSetGetGui["warning4"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
			moSetGetGui["warning4"]:render();
		end;
		--all warnings identical--
		--local identical = 0;
		--for a=1, moGuiMiniPdaSlots.activeTotal do
		--	if moGuiMiniPdaSlots.values[a].warningTime > identical then identical = moGuiMiniPdaSlots.values[a].warningTime;end;
		--end;
		--moGuiMiniPdaSlots.values[slot].warningTime = identical;
		--all warnings identical--
		--if moGuiMiniPdaSlots.values[slot].warningTime < moGuiMiniPdaSlots.warningBlinkTime then
		--	moSetGetGui["warning4"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
		--	moSetGetGui["warning4"]:render();
		--	moGuiMiniPdaSlots.values[slot].warningTime = moGuiMiniPdaSlots.values[slot].warningTime+1;
		--else
		--	if moGuiMiniPdaSlots.values[slot].warningTime < moGuiMiniPdaSlots.warningBlinkTime*2 then
		--		moGuiMiniPdaSlots.values[slot].warningTime = moGuiMiniPdaSlots.values[slot].warningTime+1;
		--	else		
		--		moGuiMiniPdaSlots.values[slot].warningTime = 0;
		--	end;
		--end;	
	end;	
end;

function moDrawWarnings:setGet(self)
	if moGuiMiniPdaSlots.warningBlink and not moSetGetGui.cfgMenue[3] then		
		moGuiMiniPdaSlots.warningBlinkTemp = moGuiMiniPdaSlots.warningBlinkTemp+1;
		if moGuiMiniPdaSlots.warningBlinkTemp >= moGuiMiniPdaSlots.warningBlinkTime*2 then
			moGuiMiniPdaSlots.warningBlinkTemp = 0;
		end;		
	end;
	for a=1, moGuiMiniPdaSlots.activeTotal do
		if moGuiMiniPdaSlots.values[a].isWarning == 2 and moGuiMiniPdaSlots.values[a].foundObjects > 0 then
			local slotName = MultiOverlayV2:getSlotName(a);		
			if slotName == "bestprice" then 
				bestpriceWarning(self, a);
			else		
				slotWarnings(self, a);
			end;
		end;
	end;
end;

function slotWarnings(self, slot)
	local warning = 0;	
	local ratio = moGuiMiniPdaSlots.values[slot].productivity;
	if tonumber(ratio) <= 90 and tonumber(ratio) >= 75 then
		warning = 1;
	elseif tonumber(ratio) < 75 and tonumber(ratio) >= 50 then
		warning = 2;
	elseif tonumber(ratio) < 50 and tonumber(ratio) >= 25 then
		warning = 3;
	elseif tonumber(ratio) < 25 then
		warning = 4;
	end;	
	setAllWarnings(self, slot, warning);
	warning = 0;	
end;

function bestpriceWarning(self, slot)
	if moGeneralSettings.foundGreatDemand > 0 and slot ~= nil then			
		local warning = false;
		for k,v in pairs(moStationes) do
			if moStationes[k].greatDemand and moStationes[k].greatDemandDuration == 1 then
				warning = true;
				break;
			end;
		end;
		if warning then
			if moGuiMiniPdaSlots.values[slot].warningTime < moGuiMiniPdaSlots.warningBlinkTime then
				moSetGetGui["warningDemand"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
				moSetGetGui["warningDemand"]:render();
				moGuiMiniPdaSlots.values[slot].warningTime = moGuiMiniPdaSlots.values[slot].warningTime+1;
			else
				if moGuiMiniPdaSlots.values[slot].warningTime < moGuiMiniPdaSlots.warningBlinkTime*2 then
					moGuiMiniPdaSlots.values[slot].warningTime = moGuiMiniPdaSlots.values[slot].warningTime+1;
				else		
					moGuiMiniPdaSlots.values[slot].warningTime = 0;
				end;
			end;
		else
			moSetGetGui["warningDemand"]:setPosition(moGuiMiniPdaSlots.values[slot].posX, moGuiMiniPdaSlots.values[slot].posY);
			moSetGetGui["warningDemand"]:render();
		end;
	end;	
end;